Bug 118919 - CRASH: Writer crashes when double click on first OLE object in to .doc file
Summary: CRASH: Writer crashes when double click on first OLE object in to .doc file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.0.7 target:6.1....
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2018-07-24 18:10 UTC by Roman Kuznetsov
Modified: 2018-07-26 11:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["com::sun::star::uno::Sequence%3Csigned%20char%3E::~Sequence%3Csigned%20char%3E()"]


Attachments
Example doc file (from bug 33590) (56.50 KB, application/octet-stream)
2018-07-24 18:10 UTC, Roman Kuznetsov
Details
gdb bt (10.02 KB, text/plain)
2018-07-24 20:37 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2018-07-24 18:10:11 UTC
Description:
CRASH: Writer crashes when double click on first OLE object in to .doc file

Steps to Reproduce:
1. Open doc.file from attach in Writer
2. Try double click on first OLE object (formula) in document
3. LO crashes

Actual Results:
LibreOffice crashes

Expected Results:
LibreOffice doesn't crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Roman Kuznetsov 2018-07-24 18:10:51 UTC
Created attachment 143737 [details]
Example doc file (from bug 33590)
Comment 2 Roman Kuznetsov 2018-07-24 18:12:20 UTC
Version: 6.1.0.2 (x64)
Build ID: b3972dcf1284967612d5ee04fea9d15bcf0cc106
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: ru-RU (ru_RU); Calc: CL
Comment 3 Xavier Van Wijmeersch 2018-07-24 18:26:22 UTC
confirm crash

The crash report was successfully uploaded.
crashreport.libreoffice.org/stats/crash_details/3dbfc172-bd19-4413-8b7f-d7b573f000fe

Version: 6.2.0.0.alpha0+
Build ID: bab37647c4366c4f422d577a65cb8d91cb49ded2
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-07-20_21:38:04
Locale: nl-BE (en_US.UTF-8); Calc: group threaded

Version: 6.1.1.0.0+
Build ID: 2466ea26c4bef1e002a24f6845084633e5a058c4
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 4 Julien Nabet 2018-07-24 20:37:01 UTC
Created attachment 143739 [details]
gdb bt

On pc Debian x86-64 with master sources updated 3 days ago, I could reproduce this.
Comment 5 Julien Nabet 2018-07-24 20:38:47 UTC
Caolán: thought you might be interested in this one since the bt shows it may be related to https://cgit.freedesktop.org/libreoffice/core/commit/?id=75367918028dffb7a137d29644a7a6e1f7af7c9b
Comment 6 Xisco Faulí 2018-07-25 07:57:27 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=75367918028dffb7a137d29644a7a6e1f7af7c9b

author	Caolán McNamara <caolanm@redhat.com>	2017-01-12 09:49:36 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2017-01-12 11:18:51 +0000
commit	75367918028dffb7a137d29644a7a6e1f7af7c9b (patch)
tree	ec796f2d28c0cecc355670ed5a70571b8df7cbd9
parent	a70a62c013318b45eb23d6451d442bc6f702a282 (diff)
in extremis dump Ole10Native payload and launch system viewer on it
so embedded plain text documents/source code/etc in word documents can be viewed
by us under Linux

Bisected with: bibisect-linux-64-5.4 

Adding Cc: to Caolán McNamara
Comment 7 Xisco Faulí 2018-07-25 08:01:37 UTC
Not repo in

Versión: 6.1.0.2
Id. de compilación: b3972dcf1284967612d5ee04fea9d15bcf0cc106
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group threaded
Comment 8 Caolán McNamara 2018-07-25 10:42:59 UTC
backports in gerrit
Comment 9 Commit Notification 2018-07-25 10:43:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ac55de4674035c7306df4d66db088c3b8f99438

Resolves: tdf#118919 crash on double click ole object

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Roman Kuznetsov 2018-07-25 16:52:20 UTC
@Xisco: I found this bug on Windows, why did you change OS from All to Linux?

@Caolan: thank you for megafast fix
Comment 11 Commit Notification 2018-07-25 22:20:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d595829c64e149896d2b5e8a4974636f8d9bd892&h=libreoffice-6-0

Resolves: tdf#118919 crash on double click ole object

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2018-07-25 22:21:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=acab09f06fd3016ec551065fadabce8768353c89&h=libreoffice-6-1

Resolves: tdf#118919 crash on double click ole object

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-07-26 08:49:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42a078c1977bbc174c8dfe06294734d07f8807f9&h=libreoffice-6-1-0

Resolves: tdf#118919 crash on double click ole object

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-07-26 08:49:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c8ca8203f7e3619768ffa56bf9c1901b161fb2a&h=libreoffice-6-0-6

Resolves: tdf#118919 crash on double click ole object

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Xisco Faulí 2018-07-26 09:35:55 UTC
issue verified in

Version: 6.2.0.0.alpha0+
Build ID: 96faaa6005465661d74b6dbf4879c43b85c68a55
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Caolán, thanks for fixing this!!

Out of curiosity, now, when I double click on it, I get: gvfs-open: file:///tmp/lu173512d0y1x.tmp/lu173512d0y59.tmp: error opening location: No application is registered as handling this file

Which app can handle this kind of document ?
Comment 16 Roman Kuznetsov 2018-07-26 11:40:14 UTC
(In reply to Xisco Faulí from comment #15)

> Out of curiosity, now, when I double click on it, I get: gvfs-open:
> file:///tmp/lu173512d0y1x.tmp/lu173512d0y59.tmp: error opening location: No
> application is registered as handling this file
> 
> Which app can handle this kind of document ?

old MS Word or MS Equation?